import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
// import * as echarts from 'echarts'
import './icons'
import dict from '@/components/Dict'
import VueLazyComponent from '@xunlei/vue-lazy-component'
// import '@/permission' // permission control

Vue.config.productionTip = false
Vue.use(ElementUI);
// Vue.prototype.$echarts = echarts

// 全局注册字典组件
Vue.use(dict);

// 全局注册懒加载方案
Vue.use(VueLazyComponent)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
